# This file is the YAML equivalent to service_template.py
# It was generated with `unfurl export service_template.py --file service_template.yaml`
# It is unused by default but see ensemble-template.yaml for instructions on how to include this instead of service_template.py.
tosca_definitions_version: tosca_simple_unfurl_1_0_0
description: This template shows you how to create a blueprint that deploys a Ansible playbook.
node_types:
  ExampleAnsibleManagedResource:
    derived_from: tosca.nodes.Root
    description: Define a resource type that uses Ansible.
    properties:
      example_property:
        type: string
        description: A property the UI will render for user input
    attributes:
      example_attribute:
        type: string
    interfaces:
      Standard:
        operations:
          configure:
            # See https://docs.unfurl.run/configurators.html#ansible
            implementation:
              className: unfurl.configurators.ansible.AnsibleConfigurator
            inputs:
              playbook: playbook-create.yaml
            outputs:
              a_fact: example_attribute
          delete:
            implementation:
              className: unfurl.configurators.ansible.AnsibleConfigurator
            inputs:
              playbook: playbook-delete.yaml
